%bcond_without  python2

Name:           pyOpenSSL
Version:        19.0.0
Release:        1
Summary:        A rather thin wrapper around (a subset of) the OpenSSL library.

License:        ASL 2.0
URL:            https://www.pyopenssl.org/en/stable/
Source0:        https://github.com/pyca/pyopenssl/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel python2-cryptography python3-cryptography
BuildRequires:  python3-setuptools python3-sphinx python3-sphinx_rtd_theme

Patch6006:      skip-NPN-tests-if-NPN-is-not-available.patch
Patch6008:      Raise-an-Error-with-no-cipher-match-even-with-TLS1.3.patch

%description
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library.
With thin wrapper we mean that a lot of the object methods do nothing more
than calling a corresponding function in the OpenSSL library.

%package -n     python2-%{name}
Summary:        A rather thin wrapper around (a subset of) the OpenSSL library.
Requires:       python2-six >= 1.5.2 python2-cryptography
Obsoletes:      pyOpenSSL < %{version}-%{release}
Provides:       pyOpenSSL = %{version}-%{release}
%{?python_provide:%python_provide python2-pyOpenSSL}

%description -n python2-%{name}
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library.
With thin wrapper we mean that a lot of the object methods do nothing more
than calling a corresponding function in the OpenSSL library.

%package -n     python3-%{name}
Summary:        A rather thin wrapper around (a subset of) the OpenSSL library.
Requires:       python3-six >= 1.5.2 python3-cryptography     
%{?python_provide:%python_provide python3-pyOpenSSL}

%description -n python3-%{name}
pyOpenSSL is a rather thin wrapper around (a subset of) the OpenSSL library.
With thin wrapper we mean that a lot of the object methods do nothing more
than calling a corresponding function in the OpenSSL library.

%package        help
Summary:        Documents for %{name}
Buildarch:      noarch
Requires:       man info
Provides:       %{name}-doc
Obsoletes:      %{name}-doc

%description    help
Man pages and other related documents for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py2_build
%py3_build

make -C doc html SPHINXBUILD=sphinx-build-3

%install
%py2_install
%py3_install

%files -n python2-%{name}
%license LICENSE
%{python2_sitelib}/OpenSSL/*
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info

%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/OpenSSL/
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info

%files help
%license LICENSE
%doc CHANGELOG.rst doc/_build/html examples

%changelog
* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 19.0.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Update to 19.0.0

* Sun Apr 28 2019 luochunsheng<luochunsheng@huawei.com> - 18.0.0-3.h3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:fix tests

* Sat Apr 13 2019 luochunsheng<luochunsheng@huawei.com> - 18.0.0-3.h2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:pyOpenSSL package quality enhance

* Wed Mar 13 2019 wanghongzhe<wanghongzhe@huawei.com> - 18.0.0-3.h1
- Type:enhancement
- ID:NA
- SUG:restart
- DESC:solve the mirror-yum installation dependency

* Mon Aug 13 2018 openEuler Buildteam <buildteam@openeuler.org> - 18.0.0-3
- Package Init
